com.verisign.epp.codec.persreg

## Class EPPPersRegRenewData

- java.lang.Object
- - com.verisign.epp.codec.persreg.EPPPersRegGenData
  - - com.verisign.epp.codec.persreg.EPPPersRegRenewData

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPPersRegRenewData
      extends EPPPersRegGenData

  Personal Registration <renData> extension element to a EPP Renew Response. The bundled rate flag indicates if the bundled rate applies to the <renew> EPP Command.
  Version:
    $Revision: 1.1.1.1 $
  Author:
    $Author: jim $
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPPersRegRenewData`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPPersRegRenewData()` Default constructor.
    `EPPPersRegRenewData(boolean aIsBundledRate)` Constructor that sets the bundled flag.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` clone an `EPPCodecComponent`.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPPersRegRenewData` with this instance.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `protected java.lang.String` | `getRootElm()` Gets the root element name.

    - ### Methods inherited from class com.verisign.epp.codec.persreg.EPPPersRegGenData

      `decode, encode, isBundledRate, setIsBundedRate`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPPersRegRenewData`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPPersRegRenewData

          public EPPPersRegRenewData()

      Default constructor. Bundled flag defaults to `false`.

    - #### EPPPersRegRenewData

          public EPPPersRegRenewData(boolean aIsBundledRate)

      Constructor that sets the bundled flag.
      Parameters:
        `aIsBundledRate` - Does the bundled rate apply?

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPPersRegRenewData` with this instance.
      Overrides:
        `equals` in class `EPPPersRegGenData`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if equal; `false` otherwise.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      clone an `EPPCodecComponent`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPPersRegGenData`
      Returns:
        clone of concrete `EPPPersRegRenewData`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### getRootElm

          protected java.lang.String getRootElm()

      Gets the root element name.
      Specified by:
        `getRootElm` in class `EPPPersRegGenData`
      Returns:
        "persReg:renData"

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Returns:
        XML namespace for the `EPPCodecComponent`.

Copyright © VeriSign Inc. All Rights Reserved.